Page MenuHomePhabricator

Support rollout of editing wikidata descriptions on Android
Closed, ResolvedPublic

Description

Not sure what this entails yet, beyond the initial consultation: https://www.mediawiki.org/wiki/Wikimedia_Apps/Short_descriptions. At the very least an announcement?

Event Timeline

JKatzWMF created this task.Sep 26 2016, 9:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2016, 9:38 PM

the feature is currently in Alpha, the plan is to pick a number of reasonably sized Wikis to roll out the feature to and see the impact on Wikidata. Russian Wikipedia is nominated. More messaging will be communicated clearly.

Moushira claimed this task.Jan 17 2017, 6:50 PM
Qgil moved this task from Backlog to January on the Community-Relations-Support (Jan-Mar 2017) board.
Qgil triaged this task as Normal priority.
Qgil added a subscriber: Qgil.

This task needs to be tagged with an Android App project. There are many, I went for Wikipedia-Android-App-Backlog. If there is a better destination, please change.

So we made a first round of announcements for the feature in the beta apps weeks ago, and last week I announced moving to main app for Russian, Catalan and Hebrew.

@JKatzWMF, is there anything left for this particular task?

I'll be documenting next steps ASAP.

(I haven't specified how long between each step/tier, it is usually some days up to some weeks.)

Tier 1 - done
Tier 2 rollout (all but top 10 app wikis)
Collect more data and break out results by language
Announce deployment to these Wikipedias through MassMessage, provided data are positive and all looks good

Tier 3: top 9 wikis (no en.wiki)
Assuming a successful previous rollout:
put announcement up for translation, then deliver it

Tier 4: en.wiki
Assuming all good after previous rollout: deliver announcement.

The team is currently working on a draft to announce rollout to Tier 2.

Rollout was announced last week and should happen this week.

@Elitre Hey I wanted to check in and see if we were good from your end to do the Tier 3 rollout. Anything you need first?

@Fjalapeno There is an existing thread about this (which also includes @Dbrant and @JKatzWMF), will loop you in.

Text of the announcement needs to be updated, research data needs to be updated. Then we can go through translation and delivery of announcement.

https://meta.wikimedia.org/wiki/User_talk:Elitre_(WMF)/Wikidata_editing_announcement for links to pages containing the announcement, the main page being the announcement itself.

I need to synch up with the team to figure out what to do with French, since that wiki has the descriptions disabled.

Trizek-WMF edited subscribers, added: Lea_Lacroix_WMDE; removed: Moushira.EditedJun 19 2017, 5:43 PM

I need to synch up with the team to figure out what to do with French, since that wiki has the descriptions disabled.

Indeed. The French Wikipedia community has refused to have the descriptions, because according to them it is uneasy to control Wikidata descriptions' changes. The watchlist makes uneasy to monitor those changes.

They were some important discussions about that on fr: [ 1 ], [ 2 ]. There is also a stalled community consultation, but still as a draft.

If we have data concerning vandalism and how Wikidata folks control descriptions, it may be possible it to reopen the case with a possible positive issue.

Elitre added a comment.EditedJun 20 2017, 5:54 PM

Turns out I was wrong, so the announcement for French has been revised and posted. I have also pinged personally some volunteers to flag the announcement for the languages in which it hasn't been translated yet.

All translations are up now: https://meta.wikimedia.org/wiki/User_talk:Elitre_(WMF)/Wikidata_editing_announcement

This allows the team to launch in a week should they decide to do so.

Thank you for the fast turnaround, @Elitre and translators!!

He7d3r added a subscriber: He7d3r.Jun 25 2017, 2:25 PM

Change 361862 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[mediawiki/extensions/MobileApp@master] Enable description editing for all wikis except enwiki.

https://gerrit.wikimedia.org/r/361862

Change 361862 merged by jenkins-bot:
[mediawiki/extensions/MobileApp@master] Enable description editing for all wikis except enwiki.

https://gerrit.wikimedia.org/r/361862

The above patch should go live today.
As I don't know when en.wp is supposed to happen, I'll tentatively close this task and we can file a new one for that.

Elitre closed this task as Resolved.Jun 29 2017, 3:32 PM
Qgil awarded a token.Jun 30 2017, 12:04 PM

Just as a FYI, technical problems prevented the change to happen, but it is still scheduled for next week, and I don't think I'll need to do much (until) then.

Change 363349 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[mediawiki/extensions/MobileApp@wmf/1.30.0-wmf.7] Enable description editing for all wikis except enwiki.

https://gerrit.wikimedia.org/r/363349

Change 363349 merged by jenkins-bot:
[mediawiki/extensions/MobileApp@wmf/1.30.0-wmf.7] Enable description editing for all wikis except enwiki.

https://gerrit.wikimedia.org/r/363349

Mentioned in SAL (#wikimedia-operations) [2017-07-05T18:36:35Z] <niharika29@tin> Synchronized php-1.30.0-wmf.7/extensions/MobileApp/: Enable description editing for all wikis except enwiki. (T146705) (duration: 00m 43s)

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 2 2017, 6:56 AM